[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Exact_radial_coll` Component

An exact radial Soller collimator.

## Identification

- Author: Roland Schedler <roland.schedler at hmi.de>
- Origin: HMI
- Date: October 2006
- Version: 1.1
- Modification history:
  - using Collimator_radial Component

## Description

    Radial Soller collimator with rectangular opening, specified length and
    specified foil thickness.
    The collimator is made of many trapezium shaped channels stacked radially.
    The channels are separated by absorbing foils, the whole stuff is inside
    an absorbing housing.
    The component should be positioned at the radius center. The model is exact.
    The neutron beam outside the collimator area is transmitted unaffected.

    Example: Exact_radial_coll(theta_mini=-5, theta_maxi=5, channels=100,
             in_radius=1.0, length=.3, h_in=.2, h_out=.3, foil_thick=0.0001)

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
theta_mini | deg | Minimum Theta angle for the radial setting | -5
theta_maxi | deg | Maximum Theta angle for the radial setting | 5
channels | 1 | Number of channels in the theta range | 100
in_radius | m | Inner radius (focus point to foil start point). | 1.0
length | m | Length of the foils / collimator | .5
h_in | m | Input window height | .3
h_out | m | Output window height | .4
foil_thick | m | Thickness of the absorbing foils | 0.0001
verbose | 0/1 | Gives additional information | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
alpha_in |  |  |
alpha_out |  |  |
out_radius |  |  |
beta_in |  |  |
beta_out |  |  |
divergence |  |  |

## Links

- Source code for `Exact_radial_coll.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]